extends CharacterBody3D

@onready var MainScene = get_tree().current_scene
var Explosion = preload("res://enemy_explosion.tscn")
var score_point = randi_range(2, 5)
var SPEED = randf_range(30.0, 60.0)
var Hit = false
var rotate = 0.0
signal EnemyDestroyed

func _ready():
	pass

func _physics_process(delta):
	move_and_slide()
	

func _process(delta):
	rotate += delta
	rotation = Vector3(rotate, rotate, rotate)
	if transform.origin.z >= 0.0:
		queue_free()

func on_destroy():
	if !Hit:
		Hit = true
		#emit_signal("EnemyDestroyed", score_point)
		var boom = Explosion.instantiate()
		MainScene.add_child(boom)
		boom.transform = transform
		queue_free()
