@tool
extends MeshInstance3D
var texture_offset : float = 0.0

# Called when the node enters the scene tree for the first time.
func _ready():
	var new_material = StandardMaterial3D.new()
	new_material.blend_mode = StandardMaterial3D.BLEND_MODE_ADD
	new_material.shading_mode = StandardMaterial3D.SHADING_MODE_UNSHADED
	new_material.vertex_color_use_as_albedo = true
	new_material.albedo_texture = load("res://Units/Lightning.png")
	
	mesh.material = new_material


# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta):
	texture_offset += delta
	mesh.material.uv1_scale.x = scale.x / scale.y
	mesh.material.uv1_offset.x = texture_offset*12
	pass
