extends Area3D
@onready var MainScene = get_tree().current_scene
var PartDestroyed1 = false
var PartDestroyed2 = false
var PartDestroyed3 = false
var PartDestroyed4 = false

signal PartDestroyed
# Called when the node enters the scene tree for the first time.
func _ready():
	pass

# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta):
	pass

func calculateHP():
	var red = 1.0 - (MainScene.hp1.value / MainScene.hp1.max_value)
	MainScene.hp1.value = MainScene.Boss.SkeletHealthPart1
	MainScene.hp1.modulate = Color(red, 1.0 - red, 0.0, 1.0)
	
	red = 1.0 - (MainScene.hp2.value / MainScene.hp2.max_value)
	MainScene.hp2.value = MainScene.Boss.SkeletHealthPart2
	MainScene.hp2.modulate = Color(red, 1.0 - red, 0.0, 1.0)
	
	red = 1.0 - (MainScene.hp3.value / MainScene.hp3.max_value)
	MainScene.hp3.value = MainScene.Boss.SkeletHealthPart3
	MainScene.hp3.modulate = Color(red, 1.0 - red, 0.0, 1.0)
	
	red = 1.0 - (MainScene.hp4.value / MainScene.hp4.max_value)
	MainScene.hp4.value = MainScene.Boss.SkeletHealthPart4
	MainScene.hp4.modulate = Color(red, 1.0 - red, 0.0, 1.0)

func on_hit_part1():
	if PartDestroyed1:
		return
	MainScene.Boss.Anim.stop()
	MainScene.Boss.Anim.play("SkeletHit01")
	MainScene.Boss.SkeletHealthPart1 -= MainScene.PlayerDamage
	calculateHP()
	if MainScene.Boss.SkeletHealthPart1 <= 0.0:
		PartDestroyed1 = true
		emit_signal("PartDestroyed")
		MainScene.Boss.Anim.play("SkeletDestroy1")

func on_hit_part2():
	if PartDestroyed2:
		return
	MainScene.Boss.Anim2.stop()
	MainScene.Boss.Anim2.play("SkeletHit02")
	MainScene.Boss.SkeletHealthPart2 -= MainScene.PlayerDamage
	calculateHP()
	if MainScene.Boss.SkeletHealthPart2 <= 0.0:
		PartDestroyed2 = true
		emit_signal("PartDestroyed")
		MainScene.Boss.Anim2.play("SkeletDestroy2")

func on_hit_part3():
	if PartDestroyed3:
		return
	MainScene.Boss.Anim3.stop()
	MainScene.Boss.Anim3.play("SkeletHit03")
	MainScene.Boss.SkeletHealthPart3 -= MainScene.PlayerDamage
	calculateHP()
	if MainScene.Boss.SkeletHealthPart3 <= 0.0:
		PartDestroyed3 = true
		emit_signal("PartDestroyed")
		MainScene.Boss.Anim3.play("SkeletDestroy3")

func on_hit_part4():
	if PartDestroyed4:
		return
	MainScene.Boss.Anim4.stop()
	MainScene.Boss.Anim4.play("SkeletHit04")
	MainScene.Boss.SkeletHealthPart4 -= MainScene.PlayerDamage
	calculateHP()
	if MainScene.Boss.SkeletHealthPart4 <= 0.0:
		PartDestroyed4 = true
		emit_signal("PartDestroyed")
		MainScene.Boss.Anim4.play("SkeletDestroy4")

func _on_body_entered(body):
	body.queue_free()
	on_hit_part1()

func _on_body_entered2(body):
	body.queue_free()
	on_hit_part2()


func _on_body_entered3(body):
	body.queue_free()
	on_hit_part3()


func _on_body_entered4(body):
	body.queue_free()
	on_hit_part4()
