extends "res://Units/enemy2.gd"
var direction = Vector3.ZERO

func _ready():
	score_point = randi_range(10, 20)
	SPEED = 80.0
	$AnimationPlayer.play("Birth") 
	direction = Vector3(max(1.0, sign(randf_range(-1.0, 1.0))), randf_range(-1.0, 1.0), 0.0)

func _physics_process(delta):
	pass

func _process(delta):
	position += direction * SPEED * delta

	if transform.origin.x > 170.0 or transform.origin.x < -170.0:
		direction.x *= -1
	if transform.origin.y > 120.0 or transform.origin.y < -120.0:
		direction.y *= -1

func shoot():
	var bullet = Bullet.instantiate()
	MainScene.add_child(bullet)
	bullet.transform = global_transform
	bullet.velocity = transform.origin.direction_to(MainScene.Player.transform.origin)* 150

func _on_attack_cooldown_timeout():
	shoot()
