extends "res://Units/enemy.gd"
var Bullet = preload("res://Units/enemy_bullet.tscn")

func _ready():
	$AnimationPlayer.play("Birth")
	score_point = 1
	SPEED = randf_range(20.0, 30.0)
	velocity = Vector3(0.0,0.0,SPEED)

func _physics_process(delta):
	move_and_slide()

func on_destroy():
	if !Hit:
		Hit = true
		explode()
		emit_signal("EnemyDestroyed", score_point)
		var boom = Explosion.instantiate()
		MainScene.add_child(boom)
		boom.transform = transform
		queue_free()

func explode():
	var missile_count = randi_range(3, 7)
	for i in missile_count:
		var offset = 5.0
		var missile_speed = randf_range( 150.0, 180.0)
		var bullet = Bullet.instantiate()
		MainScene.add_child(bullet)
		bullet.transform = global_transform
		bullet.velocity = transform.origin.direction_to(\
			Vector3(MainScene.Player.position.x + randf_range(-offset, offset),\
			MainScene.Player.position.y + randf_range(-offset, offset),\
			MainScene.Player.position.z ))* missile_speed
