extends Node3D

@onready var MainScene = get_tree().current_scene
const BossClass = preload("res://Units/Boss.tscn") 


func createUnit(unit_type):
	var unit = unit_type.instantiate()
	MainScene.add_child(unit)
	MainScene.handle_enemy_connection(unit)
	return unit

func _on_timer_timeout():
	MainScene.Boss = createUnit(BossClass)
