extends Node3D

@onready var explosion = $Explosion
@onready var on_destroy_timer = $Explosion_sound/on_destroy_timer


func _ready():
	explosion.emitting = true
	$Explosion_sound.playing = true
	on_destroy_timer.wait_time = explosion.lifetime
	on_destroy_timer.start()

func _on_on_destroy_timer_timeout():
	queue_free()
