extends CharacterBody3D
var Speed : float = 1.0
var IsCloseToPlayer = false
@onready var MainScene = get_tree().current_scene

func onStart():
	$AnimationPlayer.play("Deploy")


func _physics_process(delta):
	velocity = Vector3(0.0, 0.0, Speed)
	move_and_slide()

func _process(delta):
	if transform.origin.z >= -15.0 and !IsCloseToPlayer:
		IsCloseToPlayer = true
		$Lightning3D.mesh.material.albedo_color = Color(1.0, 0.0, 0.0, 1.0)
	if transform.origin.z >= 0.0:
		onDeatroy()

func onDeatroy():
	queue_free()
